Bug 179327 - BONDING: MII monitoring generates a lot of kernel messages
BONDING: MII monitoring generates a lot of kernel messages
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lalancette
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-30 08:54 EST by Didier Drigues
Modified: 2007-12-07 09:20 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-07 09:20:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 157247 None None None Never

  None (edit)
Description Didier Drigues 2006-01-30 08:54:05 EST
Description of problem:

lots of kernel message due to bonding mii monitoring.

Version-Release number of selected component (if applicable):
OS : RHEL4u2
bonding : integrated in (RH distrib)
ethernet driver : tg3 (RH distrib)

How reproducible:
Always

Steps to Reproduce:
1.use miimon=... in modprobe.conf
2. start network service
3.
  
Actual results:
Jan 29 04:15:08 cuba kernel: Debug: sleeping function called from invalid 
context at include/asm/uaccess.h:556
Jan 29 04:15:08 cuba kernel: in_atomic():1[expected: 0], irqs_disabled():0
Jan 29 04:15:08 cuba kernel:  [<c011df70>] __might_sleep+0x7d/0x89
Jan 29 04:15:08 cuba kernel:  [<e08ccfb1>] ethtool_ioctl+0x51/0x270 [e100]
Jan 29 04:15:08 cuba kernel:  [<e089a633>] bond_update_speed_duplex+0x96/0xda 
[bonding]
Jan 29 04:15:08 cuba kernel:  [<e089bde8>] bond_mii_monitor+0x2fb/0x38f 
[bonding]
Jan 29 04:15:08 cuba kernel:  [<e089baed>] bond_mii_monitor+0x0/0x38f [bonding]
Jan 29 04:15:08 cuba kernel:  [<c012ab23>] run_timer_softirq+0x1eb/0x2d4
Jan 29 04:15:09 cuba kernel:  [<c02b4cd7>] net_rx_action+0x59/0xc1
Jan 29 04:15:09 cuba kernel:  [<c0126789>] __do_softirq+0x35/0x79
Jan 29 04:15:09 cuba kernel:  [<c0109338>] do_softirq+0x46/0x4d
Jan 29 04:15:09 cuba kernel:  =======================


Expected results:
No logs

Additional info:
Same kind of issue as Bug 157247. But your answer isn't sufficient :
"use_carrier=1" option in tg3 (or e100) drivers doesn't correctly work,
because it didn't detect LAN failure with current drivers.
Comment 1 John W. Linville 2006-01-30 11:30:02 EST
What hardware you using in the bond?  It looks like those messages should only 
happen if you are using a driver that doesn't have modern ethtool support. 
Comment 2 Didier Drigues 2006-01-31 04:31:38 EST
(In reply to comment #1)
> What hardware you using in the bond?  It looks like those messages should 
only 
> happen if you are using a driver that doesn't have modern ethtool support. 

Machine H/W
-----------
Product Name: ProLiant DL360 G3

Bonding Configuration (Active Backup with eth1-eth3)
---------------------
# cat /proc/net/bonding/bond0 
Ethernet Channel Bonding Driver: v2.6.1 (October 29, 2004)

Bonding Mode: fault-tolerance (active-backup)
Primary Slave: eth1
Currently Active Slave: eth1
MII Status: up
MII Polling Interval (ms): 100
Up Delay (ms): 0
Down Delay (ms): 0

Slave Interface: eth1
MII Status: up
Link Failure Count: 0
Permanent HW addr: 00:0b:cd:d1:75:b5

Slave Interface: eth3
MII Status: up
Link Failure Count: 0
Permanent HW addr: 00:02:a5:89:85:69

Ethernet H/W (extract from hwconf)
--------------
class: NETWORK
bus: PCI
detached: 0
device: eth1
driver: tg3
desc: "Broadcom Corporation NetXtreme BCM5703X Gigabit Ethernet"
network.hwaddr: 00:0B:CD:D1:75:B5
vendorId: 14e4
deviceId: 16a7
subVendorId: 0e11
subDeviceId: 00cb
pciType: 1
pcidom:    0
pcibus:  4
pcidev:  2
pcifn:  0


class: NETWORK
bus: PCI
detached: 0
device: eth3 
driver: e100 
desc: "Intel Corporation 82557/8/9 [Ethernet Pro 100]"
network.hwaddr: 00:02:A5:89:85:69
vendorId: 8086
deviceId: 1229
subVendorId: 0e11
subDeviceId: b163
pciType: 1
pcidom:    0
pcibus:  5
pcidev:  5
pcifn:  0

ethtool support
---------------
# ethtool eth1
Settings for eth1:
        Supported ports: [ MII ]
        Supported link modes:   10baseT/Half 10baseT/Full 
                                100baseT/Half 100baseT/Full 
                                1000baseT/Half 1000baseT/Full 
        Supports auto-negotiation: Yes
        Advertised link modes:  10baseT/Half 10baseT/Full 
                                100baseT/Half 100baseT/Full 
                                1000baseT/Half 1000baseT/Full 
        Advertised auto-negotiation: Yes
        Speed: 1000Mb/s
        Duplex: Full
        Port: Twisted Pair
        PHYAD: 1
        Transceiver: internal
        Auto-negotiation: on
        Supports Wake-on: g
        Wake-on: d
        Current message level: 0x000000ff (255)
        Link detected: yes


# ethtool eth3
Settings for eth3:
        Supported ports: [ TP MII ]
        Supported link modes:   10baseT/Half 10baseT/Full 
                                100baseT/Half 100baseT/Full 
        Supports auto-negotiation: Yes
        Advertised link modes:  10baseT/Half 10baseT/Full 
                                100baseT/Half 100baseT/Full 
        Advertised auto-negotiation: Yes
        Speed: 100Mb/s
        Duplex: Full
        Port: MII
        PHYAD: 1
        Transceiver: internal
        Auto-negotiation: on
        Supports Wake-on: g
        Wake-on: d
        Current message level: 0x00000007 (7)
        Link detected: yes

Comment 5 Didier Drigues 2006-03-01 12:16:34 EST
Hi all,

Responsible of kernel message is e100 driver provided by HP
Proliant Support Pack 7.40
rpm -qa | grep e100
e100-3.4.13a-1


Comment 6 John W. Linville 2006-03-01 13:27:12 EST
Why are you not using the standard RHEL4 e100 driver?  Have you tried the beta  
kernels from RHEL4 U3? 
 
Also, try the test kernels available here: 
 
   http://people.redhat.com/linville/kernels/rhel4/ 
 
Please post the results here...thanks! 
Comment 7 Mark Partain 2006-03-08 13:07:45 EST
I reccommend downloading and using version 3.5.10, it fixes this issue.  You 
can download it at http://sourceforge.net/projects/e1000.  This site is 
updated by Intel and it includes the e1000 and e100 drivers.

I verified your issue and this version fixes it!

Mark
Comment 9 Chris Lalancette 2007-12-07 09:20:14 EST
Closing this bug because of lack of response; if this is still an issue, please
re-open.

Chris Lalancette

Note You need to log in before you can comment on or make changes to this bug.